// -*- C++ -*-
/***************************************************************************
                          sernet.h  -  description
                             -------------------
    begin                : Fre Jun 22 17:19:03 CEST 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SERNET_H
#define SERNET_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

//
// System
//

#include <ctime>

//
// Common
//
#include "packets.h"

// \todo: check for limits.h in autoconf/automake!
#include <limits.h>

#define MAX_CONNECTIONS 16
/* #define DEFAULT_SOCK_PORT 5555 */
#define BUF_SIZE 512

int server_accept_connection(int sockfd);
int server_open_socket(void);
int sniff_packets(time_t time_end=LONG_MAX);
void close_connections_and_socket(void);
void init_connections(void);
void close_connection(struct connection *pconn);

#endif  /* SERNET_H */
